Package Base Details: pipewire-common-git

Git Clone URL: https://aur.archlinux.org/pipewire-common-git.git (read-only, click to copy)
Submitter: eh5
Maintainer: eh5
Last Packager: eh5
Votes: 4
Popularity: 0.83
First Submitted: 2021-01-10 08:40
Last Updated: 2021-04-06 19:48

Pinned Comments

PedroHLC commented on 2021-01-11 22:53

If someone needs any of these packages pre-built, chaotic-aur builds them hourly...

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

eh5 commented on 2021-02-12 12:41

@kleinph It requires a clean build, meson options are changed.

kleinph commented on 2021-02-12 12:39

I see the replaces/conflict was already solved while I was writing my comment. Pleas also look into the vulkan-headers issue.

Also note that you have to increase the pkgrel if you want that AUR helplers get this changes (or update to a new commit hash if there is any).

kleinph commented on 2021-02-12 12:34

There are two errors in the PKGBUILD:

  • vulkan-headers is still needed as a makedep
  • pipewire-common-ffmpeg-git (and maybe also pipewire-common-bluez5-hsphfpd-git should be conflicts/replaced as @PedroHLC already pointed out.

(The pipewire-common-ffmpeg-git caused conflicting files, the other one was not installed on my system.)

eh5 commented on 2021-02-12 12:32

@PedroHLC Updated, replaces+conflicts should do the trick.

PedroHLC commented on 2021-02-12 12:14

I think then you can put package_pipewire-common-git() to replace+provides+conflicts (pipewire-common-bluez5-git pipewire-common-bluez5-hsphfpd-git pipewire-common-ffmpeg-git)

eh5 commented on 2021-02-12 11:17

Dropped vulkan, ffmpeg, hsphfpd SPA plugins in this "common" package base because they are disabled by default in upstream, you can still find them in https://aur.archlinux.org/pkgbase/pipewire-full-git.

Vulkan, ffmpeg SPA plugins are actually not used by pipewire's default media session, you won't have any lose on it except less dependency.

Consider that pipewire's native HSP/HFP support is now good enough compared to hsphfpd, I also dropped hsphfpd varient of bluez plugin.

eh5 commented on 2021-01-24 10:21

@kode54 Maybe you are on the old version? pipewire-common-git now is not depends on alsa-card-profiles. https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=pipewire-common-git#n63

kode54 commented on 2021-01-24 10:12

I see. Since pipewire-common-git is providing it, it shouldn't be depending on the alsa-card-profiles package, or delete the alsa card profiles files, then.

eh5 commented on 2021-01-21 04:56

alsa-card-profiles is now split from pipewire in Arch. https://github.com/archlinux/svntogit-packages/commit/c57aba57e6185ba5221d497444b25ab03fb7ba2a#diff-37538beb61ff63edebbf735dfcf39e5d732f49183d6beb097169d971875ca422

Splitting alsa-card-profiles is meaningless for this VCS package base since it's a pipewire specific version and only pipewire requires it currently, so we let pipewire-common-git provides it.

eh5 commented on 2021-01-12 18:38

@tornado99 Then just replace pipewire-git with pipewire-common-git. I would add pipewire-git as conflict of pipewire-common-git in next commit.

edit: Make bluze5 plugin be dependent on pipewire-common-git instead.

What I said about makepkg -rs in my previous comment is to showcase that pipewire is not required for building this package base. It's still a runtime dependency though. Since pipewire-common-git "provides" pipewire, it's not a problem to add pipewire as runtime dependency (aka. put pipewire into depends array).

Seems your AUR helper don't recognize pipewire-common-git as a "pipewire" provider(like pipewire-git). You'd better build/install pipewire-common-git and pipewire-common-pulse-git firstly before building pipewire-common-bluez5-*.